commit:     a4fd373b45de86b4a6b5d631c2a4ddc148e290eb
Author:     Martin Mokrejš <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
AuthorDate: Sun Jan  8 16:39:38 2017 +0000
Commit:     Martin Mokrejs <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
CommitDate: Sun Jan  8 16:39:38 2017 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=a4fd373b

sci-biology/eval: fix shebang line according to bug #602580

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 sci-biology/eval/eval-2.2.8.ebuild | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/sci-biology/eval/eval-2.2.8.ebuild 
b/sci-biology/eval/eval-2.2.8.ebuild
index 613b651..b7c6720 100644
--- a/sci-biology/eval/eval-2.2.8.ebuild
+++ b/sci-biology/eval/eval-2.2.8.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -29,6 +29,9 @@ RDEPEND="${DEPEND}"
 
 src_install(){
        dobin *.pl
+       # TODO: prepend shebang lines to *.py files
+       # https://bugs.gentoo.org/show_bug.cgi?id=602580
+       sed -i -e "1i #!/usr/bin/env ${EPYTHON}" RangeFinder.py || die
        python_foreach_impl python_doscript *.py
        dodoc \
                "${DISTDIR}"/eval-documentation.pdf \

Reply via email to